package rip.iwakura.civilcore;

import java.sql.SQLException;
import java.util.ArrayList;

import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

import net.md_5.bungee.api.ChatColor;
import rip.iwakura.civilcore.commands.TeamCommand;

public class CivilCore extends JavaPlugin {
  public Database db = new Database();

  @Override
  public void onEnable() {
    this.saveDefaultConfig();

    try {
		  Class.forName("org.postgresql.Driver");
	  } catch (ClassNotFoundException e) {
		  e.printStackTrace();
	  }

    try {
		  db.connect(this.getConfig().getString("database.url"));
	  } catch (SQLException e) {
		  e.printStackTrace();
	  }
    getServer().getPluginManager().registerEvents(new PlayerHandler(this), this);
    this.getCommand("team").setExecutor(new TeamCommand(this));
  }
}
